org.apache.ignite.internal.visor.node

## Class VisorNodeGcTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<Void,Map<UUID,VisorNodeGcTaskResult>,VisorNodeGcTaskResult>
  - - org.apache.ignite.internal.visor.node.VisorNodeGcTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<Void>,Map<UUID,VisorNodeGcTaskResult>>

    @GridInternal
    public class VisorNodeGcTask
    extends VisorMultiNodeTask<Void,Map<UUID,VisorNodeGcTaskResult>,VisorNodeGcTaskResult>

Task to run gc on nodes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeGcTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.node.VisorNodeGcTask.VisorNodeGcJob` `job(Void arg)`
`protected Map<UUID,VisorNodeGcTaskResult>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorNodeGcTask

    public VisorNodeGcTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.node.VisorNodeGcTask.VisorNodeGcJob job(Void arg)

Specified by:
  `job` in class `VisorMultiNodeTask<Void,Map<UUID,VisorNodeGcTaskResult>,VisorNodeGcTaskResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected Map<UUID,VisorNodeGcTaskResult> reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<Void,Map<UUID,VisorNodeGcTaskResult>,VisorNodeGcTaskResult>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018